Bug 628524 - Review Request: festival-freebsoft-utils - A collection of utilities that enhance Festival with some useful features
Summary: Review Request: festival-freebsoft-utils - A collection of utilities that enh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 484577 569531
TreeView+ depends on / blocked
 
Reported: 2010-08-30 09:58 UTC by Peter Robinson
Modified: 2010-10-08 20:51 UTC (History)
4 users (show)

Fixed In Version: festival-freebsoft-utils-0.10-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-06 01:27:58 UTC
lemenkov: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Peter Robinson 2010-08-30 09:58:03 UTC
SPEC: http://pbrobinson.fedorapeople.org/festival-freebsoft-utils.spec
SRPM: http://pbrobinson.fedorapeople.org/festival-freebsoft-utils-0.10-1.fc14.src.rpm

Description:
A collection of utilities that enhance Festival with some useful features. They 
provide all that is needed for interaction with Speech Dispatcher.

Key festival-freebsoft-utils features are:
- Generalized concept of input events. festival-freebsoft-utils allows not only 
  plain text synthesis, but also combining it with sounds. Additionally, 
  mechanism of logical events mapped to other events is provided. 
- Substitution of events for given words. 
- High-level voice selection mechanism and setting of basic prosodic parameters. 
- Spelling mode. 
- Capital letter signalization. 
- Punctuation modes, for explicit reading or not reading punctuation characters. 
- Incremental synthesis of texts and events. 
- Speech Dispatcher support. 
- Rudimentary SSML support. 
- Enhance the Festival extension language with functions commonly used in Lisp.
- Support for wrapping already defined Festival functions by your own code.
- Everything is written in the extension language, no patching of the Festival 
  C++ sources is needed.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2434778

Comment 1 Peter Lemenkov 2010-09-26 14:29:32 UTC
I'll review it

Comment 2 Peter Lemenkov 2010-09-26 14:50:23 UTC
Koji build for F-13:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2490061

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent

Sulaco ~/rpmbuild/SPECS: rpmlint ~/Desktop/festival-freebsoft-utils-0.10-1.fc13.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Sulaco ~/rpmbuild/SPECS:

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.

+/- The License field in the package spec file does not match the actual license (should be GPLv2+, not simply GPLv2).

+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

Sulaco ~/rpmbuild/SOURCES: sha256sum festival-freebsoft-utils-0.10.tar.gz*
c16cbd1d5494b1b058b787ef936fa483ac2f3ce92657372c92b3dbf153750457  festival-freebsoft-utils-0.10.tar.gz
c16cbd1d5494b1b058b787ef936fa483ac2f3ce92657372c92b3dbf153750457  festival-freebsoft-utils-0.10.tar.gz.1
Sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture (see koji link above)
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

Just three minor suggestions:

* Consider building docs also
* Use %{_datadir} macro in the %install section
* Fix licensing tag (GPLv2+ instead of GPLv2)

This package is

APPROVED.

Comment 3 Peter Robinson 2010-09-27 06:27:17 UTC
Thanks, will fix the above before initial commit.

New Package GIT Request
=======================
Package Name:  festival-freebsoft-utils 
Short Description: A collection of utilities that enhance Festival with some useful features
Owners: pbrobinson
Branches: F-14 F-13 F-12
InitialCC:

Comment 4 Kevin Fenzi 2010-09-27 23:10:34 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2010-09-28 03:57:57 UTC
festival-freebsoft-utils-0.10-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/festival-freebsoft-utils-0.10-1.fc13

Comment 6 Fedora Update System 2010-09-28 03:58:11 UTC
festival-freebsoft-utils-0.10-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/festival-freebsoft-utils-0.10-1.fc14

Comment 7 Fedora Update System 2010-09-28 03:58:45 UTC
festival-freebsoft-utils-0.10-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/festival-freebsoft-utils-0.10-1.fc12

Comment 8 Fedora Update System 2010-09-28 17:30:32 UTC
festival-freebsoft-utils-0.10-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update festival-freebsoft-utils'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/festival-freebsoft-utils-0.10-1.fc14

Comment 9 Fedora Update System 2010-10-06 01:27:47 UTC
festival-freebsoft-utils-0.10-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-10-08 20:37:32 UTC
festival-freebsoft-utils-0.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-10-08 20:50:58 UTC
festival-freebsoft-utils-0.10-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.